Subject: Re: [BUILD-FAILURE] next-20090114 - drivers/staging/meilhaus

From: Greg KH <[email-masked]>
Date: Wed, 14 Jan 2009 10:50:29 -0800

On Wed, Jan 14, 2009 at 10:11:58AM -0800, Randy Dunlap wrote:
> Greg KH wrote:
> > On Wed, Jan 14, 2009 at 11:30:24PM +0530, Kamalesh Babulal wrote:
> >> Hi Stephen,
> >>
> >> 	next-20090114 randconfig build on x86_64 machine fails,
> >>
> >>   LD      drivers/staging/meilhaus/built-in.o
> >> drivers/staging/meilhaus/me1600.o: In function `cleanup_module':
> >> (.exit.text+0x0): multiple definition of `cleanup_module'
> >> drivers/staging/meilhaus/memain.o:memain.c:(.exit.text+0x0): first defined here
> > 
> > Yeah, a lot of these staging drivers can't handle being built into the
> > kernel.
> > 
> > At first glance, I don't see a way to prevent this, is there some
> > Kconfig option I can use to say, "this can only be a module or disabled,
> > not build statically"?
> 
> 	depends on m

Doh, it's even documented!

Thanks, I'll go fix that all up.

greg k-h